Event::__construct
Event::delSignal
Event
PHP Manual

# Event::del

(PECL libevent >= 0.0.1)

Event::del — Makes event non-pending

### Description

public void Event::del ( void )

Removes an event from the set of monitored events, i.e. makes it non-pending.

### Parameters

This function has no parameters.

### Return Values

Returns `TRUE` on success. Otherwise `FALSE`

### See Also

- Event::add() - Makes event pending

Event::__construct
Event::delSignal
Event
PHP Manual